aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2016-06-06 13:47:28 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2016-06-06 13:47:28 +0000
commit99e18591250afff838d360b0aeed05e07d846c71 (patch)
tree5d52c5a7fe8ff749ee738e2f4b60b70058f8a755
parent07c598ae9867bc367aebb6547f1bdaa0fc9dac38 (diff)
downloadaports-99e18591250afff838d360b0aeed05e07d846c71.tar.gz
aports-99e18591250afff838d360b0aeed05e07d846c71.tar.bz2
aports-99e18591250afff838d360b0aeed05e07d846c71.tar.xz
community/openjdk8: ship libjli.so with jre-base
fixes https://github.com/docker-library/openjdk/issues/77
-rw-r--r--community/openjdk8/APKBUILD7
1 files changed, 5 insertions, 2 deletions
diff --git a/community/openjdk8/APKBUILD b/community/openjdk8/APKBUILD
index ff669a7745..c7d9dee7a4 100644
--- a/community/openjdk8/APKBUILD
+++ b/community/openjdk8/APKBUILD
@@ -6,7 +6,7 @@ _java_ver=8
_jdk_update=92
_jdk_build=14
pkgver=$_java_ver.$_jdk_update.$_jdk_build
-pkgrel=0
+pkgrel=1
pkgdesc="Sun OpenJDK 8"
url="http://openjdk.java.net"
arch="x86_64 x86"
@@ -174,8 +174,11 @@ jrebase() {
pkgdesc="OpenJDK 8 Java Runtime (no GUI support)"
depends="$pkgname-jre-lib java-common java-cacerts"
- mkdir -p "$subpkgdir"/$INSTALL_BASE/bin
+ mkdir -p "$subpkgdir"/$INSTALL_BASE/bin \
+ "$subpkgdir"/$INSTALL_BASE/lib/$_jarch
+ mv "$pkgdir"/$INSTALL_BASE/lib/$_jarch/jli \
+ "$subpkgdir"/$INSTALL_BASE/lib/$_jarch/ || return 1
local A; for A in java orbd rmid servertool unpack200 keytool \
pack200 rmiregistry tnameserv; do
mv "$pkgdir"/$INSTALL_BASE/bin/$A "$subpkgdir"/$INSTALL_BASE/bin || return 1